/*!
 * @file glgui_fixedposition_box.h
 * The gl_fixedposition_box widget of th openglGUi
 */

#ifndef _GLGUI_FIXEDPOSITION_BOX_H
#define _GLGUI_FIXEDPOSITION_BOX_H

#include "glgui_container.h"
#include "glgui_defs.h"

namespace OrxGui
{
  //! This is BOX part of the openglGUI class
  /**
   *
   */
  class GLGuiFixedpositionBox : public GLGuiBox
  {

  public:
    GLGuiFixedpositionBox(OrxGui::Position position = OrxGui::Center, OrxGui::Orientation orientation = OrxGui::Vertical);
    virtual ~GLGuiFixedpositionBox();

    inline OrxGui::Position position() const { return _position; };
    void setPosition(OrxGui::Position);


  protected:
    virtual void resize();


  private:
    OrxGui::Position     _position;     //!< The Fixed position of the Widget.
  };
}
#endif /* _GLGUI_FIXEDPOSITION_BOX_H */
